#include <config.h>

#include <stdio.h>
#include <string.h>
#include <glib.h>

#include "gtoonz.h"

/********************************************************************
 *                     CARTOON FUNCTION PROTOTYPE                   *
 * void cartoon_name (Cartoon *cartoon, int year, int month, int day);  *
 ********************************************************************/
 
void
ttodi (Cartoon *cartoon, int year, int month, int day)
{
	const char *URL = "http://www2.hankooki.com/entertain/cartoon/img/03/%d%02d%02d03_0.jpg";
	Item *item;
	
	item = g_new0 (Item, 1);
	item->url = g_new0 (char, strlen(URL) +10);
	sprintf(item->url, URL, year, month, day);
	cartoon->item_list = g_slist_append (cartoon->item_list, item);

	return;
}

void
aseak (Cartoon *cartoon, int year, int month, int day)
{
	const char *URL = "http://www2.hankooki.com/entertain/cartoon/img/07/%d%02d%02d07_0.jpg";
	Item *item;
	
	item = g_new0 (Item, 1);
	item->url = g_new0 (char, strlen(URL) +10);
	sprintf(item->url, URL, year, month, day);
	cartoon->item_list = g_slist_append (cartoon->item_list, item);

	return;
}

void
detul (Cartoon *cartoon, int year, int month, int day)
{
	const char *URL = "http://www2.hankooki.com/entertain/cartoon/img/02/%d%02d%02d02_0.jpg";
	Item *item;
	
	item = g_new0 (Item, 1);
	item->url = g_new0 (char, strlen(URL) +10);
	sprintf(item->url, URL, year, month, day);
	cartoon->item_list = g_slist_append (cartoon->item_list, item);

	return;
}

void
simin (Cartoon *cartoon, int year, int month, int day)
{
	const char *URL = "http://cartoon2.stoo.com/simin/data/%d%02d%02dsimin_%d.jpg";
	Item *item;
	int i;

	for (i = 1; i < 3; i++) {
		item = g_new0 (Item, 1);
		item->url = g_new0 (char, strlen(URL) +10);
		sprintf(item->url, URL, year, month, day, i);
		cartoon->item_list = g_slist_append (cartoon->item_list, item);
	}

	return;
}

void
melang (Cartoon *cartoon, int year, int month, int day)
{
	const char *URL = "http://cartoon2.stoo.com/melang/data/%d%02d%02dmelang_%d.jpg";
	Item *item;
	int i;

	for (i = 1; i < 3; i++) {
		item = g_new0 (Item, 1);
		item->url = g_new0 (char, strlen(URL) +10);
		sprintf(item->url, URL, year, month, day, i);
		cartoon->item_list = g_slist_append (cartoon->item_list, item);
	}

	return;
}

void
gaepae (Cartoon *cartoon, int year, int month, int day)
{
	const char *URL = "http://cartoon2.stoo.com/gaepae/data/%d%02d%02dgaepae.jpg";
	Item *item;

	item = g_new0 (Item, 1);
	item->url = g_new0 (char, strlen(URL) +10);
	sprintf(item->url, URL, year, month, day);
	cartoon->item_list = g_slist_append (cartoon->item_list, item);

	return;
}
	
void
tazza (Cartoon *cartoon, int year, int month, int day)
{
	const char *URL = "http://manhwa.sportschosun.com/enter/cartoon/tazza/image_cartoon/%d%02d%02dc.gif";
	Item *item;
	
	item = g_new0 (Item, 1);
	item->url = g_new0 (char, strlen(URL) +10);
	sprintf(item->url, URL, year, month, day);
	cartoon->item_list = g_slist_append (cartoon->item_list, item);

	return;	
}

void
zombie (Cartoon *cartoon, int year, int month, int day)
{
	const char *URL = "http://manhwa.sportschosun.com/enter/cartoon/zombi/image_cartoon/%d%02d%02dk.gif";
	Item *item;

	item = g_new0 (Item, 1);
	item->url = g_new0 (char, strlen(URL) +10);
	sprintf(item->url, URL, year, month, day);
	cartoon->item_list = g_slist_append (cartoon->item_list, item);
	
	return;	
}

void
good (Cartoon *cartoon, int year, int month, int day)
{
	const char *URL = "http://manhwa.sportschosun.com/enter/cartoon/good/image_cartoon/%d%02d%02da.gif";
	Item *item;

	item = g_new0 (Item, 1);
	item->url = g_new0 (char, strlen(URL) +10);
	sprintf(item->url, URL, year, month, day);
	cartoon->item_list = g_slist_append (cartoon->item_list, item);
	
	return;	
}

void
snowcat (Cartoon *cartoon, int year, int month, int day)
{
	const char *URL = "http://snowcat.co.kr/diary/%s%02d/%s%02d%02d.gif";
	Item *item;
	char year_s[5] = {0};

	item = g_new0 (Item, 1);
	item->url = g_new0 (char, strlen(URL) + 10);
	sprintf (year_s, "%d", year);
	sprintf(item->url, URL, year_s + 2, month, year_s + 2, month, day);
	cartoon->item_list = g_slist_append (cartoon->item_list, item);

	return;
}

CartoonInfo CartoonInfoList[N_CARTOONS] = {
	{TTODI, "ttodi", &ttodi},
	{ASEAK, "aseak", &aseak},
	{DETUL, "detul", &detul},
	{SIMIN, "simin", &simin},
	{MELANG, "melang", &melang},
	{GAEPAE, "gaepae", &gaepae},
	{TAZZA, "tazza", &tazza},
	{ZOMBIE, "zombie", &zombie},
	{GOOD, "good", &good},
	{SNOWCAT, "snowcat", &snowcat},
};
